@args allowed: bool, description: ?[]const u8, title: ?[]const u8, img: ?[]const u8

<html>
    <head>
    @partial layouts/metadata
    <link rel="icon" href="/favicon.ico" />
    <link rel="stylesheet" href="/styles.css" type="text/css">
    <title>yuzucchii.xyz</title>
    </head>
    <body>
        <div class="container">
            <nav>
                <div>
                    <a href="/">Home</a>
                    <a href="/blogs">Blog</a>
                    <a href="/about-me">About Me</a>
                    @if ($.allowed)
                    <a href="/logout">Logout</a>
                    @end
                    <a href="https://git.yuzucchii.xyz">Gitea</a>
                    <a href="/rss">RSS</a>
                    <a href="mailto:me@yuzucchii.xyz">E-mail</a>
                </div>
            </nav>


            <!-- Page Content -->
            <main>
            {{zmpl.content}}
            </main>
        </div>

        @partial layouts/footer
    </body>
</html>

