<div>
  <form id="login-form">
    <h1>Admin Login</h1>

    <div>
      <label for="username">Username</label>
      <input
        id="username"
        name="username"
        type="text"
        required
      />
    </div>

    <div>
      <label for="password">Discrete password</label>
      <input
        id="password"
        name="password"
        type="password"
        required
      />
    </div>

    <button type="submit">
      Login
    </button>
  </form>

  <script>
    document.querySelector('#login-form').addEventListener('submit', function(event) {
      event.preventDefault();
      const password = document.querySelector('input[name="password"]').value;

      fetch('/login', {
        method: 'POST',
        headers: {
          'Content-Type': 'application/json'
        },
        body: JSON.stringify({ password })
      })
      .then(res => res.json())
      .then(res => {
        window.location.href = '/blogs';
      })
      .catch(err => {
        console.error('Login error:', err);
      });
    });
  </script>
</div>

