@args articles: Zmpl.Array
<section>
    <!-- Links Section -->
    <ul class="main-menu">
        <li class="main-menu-item">
            <a href="/">
            <img src="/miku1.png" alt="Miku expressive" width="100px" height="100px"/>
            <p>Home</p>
            </a>
        </li>
        <li class="main-menu-item">
            <a href="/about-me">
            <img src="/miku2.png" alt="Miku cat" width="100px" height="100px"/>
            <p>About</p>
        </a>
        <li class="main-menu-item">
            <a href="/blogs">
            <img src="/miku3.png" alt="Miku blogger" width="100px" height="100px"/>
            <p>Blogs</p>
            </a>
        </li>
    </ul>

    <!-- Introduction -->
    <p>
    I created this website in order to store things I do. Don’t be scared of the simple layout —
this website is featureful and full of things to explore. Please enjoy your visit.
    </p>

    <!-- Articles Section -->
    <h2>Latest Articles</h2>

<div>

@for (.tags) |tag| {
    @if ($.tag.emoji) |emoji|
    <div>
        @partial root/tag_blob(name: tag.name, emoji: emoji)
    </div>
    @else
    <div>
        @partial root/tag_blob(name: tag.name, emoji: "")
    </div>
    @end
}

@for (.articles) |article| {
@partial root/article_blob(title: article.title, blob: article.blob, id: article.id)
}
</div>
</section>
