<div>
    @for ($.blogs) |blog| {
    <div>
        <a href="/blogs/{{blog.id}}">
        {{zmpl.fmt.datetime(blog.get("created_at"), "%Y-%m-%d | ")}} {{blog.title}}
        </a>
    @if ($.allowed)
    <div>
        <a href="/blogs/{{blog.id}}/edit">Edit</a>
        <button id="delete-post-{{blog.id}}">Delete</button>
    </div>
    @end
    </div>
    }

    @if ($.allowed)
        <br>
        <div><a href="/blogs/new">+ New Blog</a></div>
    @end
</div>

@if ($.allowed)
<script>
    document.addEventListener("DOMContentLoaded", () => {
            document.querySelectorAll('[id^="delete-post-"]').forEach(button => {
                button.addEventListener("click", () => {
                    const id = button.id.replace("delete-post-", "");
                    fetch(`/blogs/${id}`, {
                        method: 'DELETE',
                        headers: {
                            'Content-Type': 'application/json'
                        },
                    })
                    .then(() => window.location.reload())
                    .catch(err => console.error("Failed to delete post:", err));
                });
            });
        });
    </script>
@end
