@zig {
    const links = .{
        .{ .href = "https://yuzucchii.xyz", .title = "Home" },
            .{ .href = "/rss", .title = "RSS" },
            .{ .href = "https://codeberg.org/yuzu", .title = "Codeberg" },
            .{ .href = "https://bsky.app/profile/yuzucchii.bsky.social", .title = "Bluesky" },
            .{ .href = "https://discord.gg/pvraBkepUP", .title = "Discord" },
    };
}

<footer>
    <img src="/cc.png" alt="CC from Code Geass" width="100px" height="100px"/>
    <p>
    @zig {
        inline for (links) |link| {
            <a href="{{link.href}}">{{link.title}}</a>
        }
    }
    &copy; 2025 yuzucchii.xyz
    </p>
</footer>
