<meta charset="UTF-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<meta name="theme-color" content="#ffffff" />

<!--- Instructions for web scrapers --->
<meta name="robots" content="index, follow" />
<meta name="author" content="Yuzucchii" />

<!--- Facebook specific standard, but many websites use this so it has become almost standard to include --->
<meta property="og:site_name" content="yuzucchii.xyz" />

@if ($.title) |t|
<meta name="og:title" property="og:title" content="{{t}}" />
@else
<meta name="og:title" property="og:title" content="yuzucchii.xyz" />
@end

@if ($.image) |img|
<meta name="og:image" content="{{img}}" />
<meta property="twitter:card" content="{{img}}" />
<meta name="twitter:image:src" property="twitter:image:src" content="{{img}}" />
<meta name="twitter:image" property="twitter:image" content="{{img}}" />
<meta name="og:image:alt" property="og:image:alt" content="alt text for your image" />
@end

@if ($.description) |desc|
<meta name="description" content="{{desc}}" />
<meta property="og:description" content="{{desc}}" />
<meta name="twitter:description" property="twitter:description" content="{{desc}}" />
@end
